This is a Lavalite package that provides branchmaster management facility.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `assetsadm/branchmaster`.

    "assetsadm/branchmaster": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Assetsadm\Branchmaster\Providers\BranchmasterServiceProvider::class,

```

And also add it to alias

```php
'Branchmaster'  => Assetsadm\Branchmaster\Facades\Branchmaster::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Assetsadm\Branchmaster\Providers\BranchmasterServiceProvider" --tag="migrations"

    php artisan vendor:publish --provider="Assetsadm\Branchmaster\Providers\BranchmasterServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Assetsadm\Branchmaster\Providers\BranchmasterServiceProvider" --tag="config"

Language files

    php artisan vendor:publish --provider="Assetsadm\Branchmaster\Providers\BranchmasterServiceProvider" --tag="lang"

View files

    php artisan vendor:publish --provider="Assetsadm\Branchmaster\Providers\BranchmasterServiceProvider" --tag="views"

Public folders

    php artisan vendor:publish --provider="Assetsadm\Branchmaster\Providers\BranchmasterServiceProvider" --tag="public"


## Usage


