<?php

// Admin web routes  for branchmaster
Route::group(['prefix' => trans_setlocale().'/admin/branchmaster'], function () {
    Route::resource('branchmaster', 'Assetsadm\Branchmaster\Http\Controllers\BranchmasterAdminController');
});

// Admin API routes  for branchmaster
Route::group(['prefix' => trans_setlocale().'api/v1/admin/branchmaster'], function () {
    Route::resource('branchmaster', 'Assetsadm\Branchmaster\Http\Controllers\BranchmasterAdminApiController');
});

// User web routes for branchmaster
Route::group(['prefix' => trans_setlocale().'/user/branchmasters'], function () {
    Route::resource('/', 'Assetsadm\Branchmaster\Http\Controllers\BranchmasterUserController');
});

// User API routes for branchmaster
Route::group(['prefix' => trans_setlocale().'api/v1/user/branchmasters'], function () {
    Route::resource('/', 'Assetsadm\Branchmaster\Http\Controllers\BranchmasterUserApiController');
});

// Public web routes for branchmaster
Route::group(['prefix' => trans_setlocale().'/branchmasters'], function () {
    Route::get('/', 'Assetsadm\Branchmaster\Http\Controllers\BranchmasterController@index');
    Route::get('/{slug?}', 'Assetsadm\Branchmaster\Http\Controllers\BranchmasterController@show');
});

// Public API routes for branchmaster
Route::group(['prefix' => trans_setlocale().'api/v1/branchmasters'], function () {
    Route::get('/', 'Assetsadm\Branchmaster\Http\Controllers\BranchmasterApiController@index');
    Route::get('/{slug?}', 'Assetsadm\Branchmaster\Http\Controllers\BranchmasterApiController@show');
});

